Skip to main content
PUT
/
v1
/
channels
/
{id}
Editar canal
curl --request PUT \
  --url https://api.timelyai.com.br/v1/channels/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "WhatsApp Principal",
    "type": "whatsapp",
    "status": "active",
    "phone_number": "+5547999999999",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

Chave de API para autenticação. Obtenha sua chave em https://app.timelyai.com.br/developers

Path Parameters

id
string<uuid>
required

ID único do recurso (UUID)

Body

application/json
name
string

Nome do canal

Required string length: 1 - 255
agent_id
string<uuid>

ID do agente associado ao canal

Response

Canal atualizado

data
object